Vote = {    # all time related variables are in seconds
    PreVotingTime = 120,     # the sum of these 2 shouldn't exceed 300 which is the min value of the "random" vote
    VotingTime = 120,        # choice, below.
    VoteOptions = {
        {
            announceText = "min15",
            btnText = "min15",
            Interval = 900,
        },
        {
            announceText = "min20",
            btnText = "min20",
            Interval = 1200,
        },
        {
            announceText = "min30",
            btnText = "min30",
            Interval = 1800,
        },
        {
            announceText = "random",
            btnText = "random",
            Interval = -1,   # means random
            Min = 300,       # min and max for random number generator
            Max = 1800,
        },
    },
}

Tech = {
    TechLevels = {    # these are enabled in order but techs that are "AlwaysAvailable" are just that
        {
            AlwaysAvailable = true,
            Announce = false,
            AnnounceText = "tech1",
            UnitCategory = "TECH1",
        },
        {
            AlwaysAvailable = false,
            Announce = true,
            AnnounceText = "tech2",
            UnitCategory = "TECH2",
        },
        {
            AlwaysAvailable = false,
            Announce = true,
            AnnounceText = "tech3",
            UnitCategory = "TECH3",
        },
        {
            AlwaysAvailable = false,
            Announce = true,
            AnnounceText = "exptech",
            UnitCategory = "EXPERIMENTAL",
        },
    },
}

Layout = {    # the numbers are pixel counts
    VoteUI = {
        BackgroundTexture = "/dialogs/dialog_02/panel_bmp.dds",
        BackgroundYadj = 0,
        BackgroundHeight = 166,
        BackgroundWidth = 500,
        Button = {
            Xadj = 0,
            Yadj = 38,
            Width = 120,
            Texture = "/dialogs/standard_btn/standard",
            TextSize = 12,
            RollOverSound = "UI_UEF_Rollover",
            OnClickSound = "UI_Menu_MouseDown",
            Spacing = -2,
        },
        CounterSize = 12,
        CounterXadj = 0,
        CounterYadj = 65,
        VoteCounterSize = 12,
        VoteCounterXadj = 175,
        VoteCounterYadj = 65,
        SubtitleSize = 16,
        SubtitleYadj = -2,
        TitleSize = 24,
        TitleYadj = -34,
    },
}

Text = {
    Button = {
        min15 = "15 minutes",
        min20 = "20 minutes",
        min30 = "30 minutes",
        random = "Random",
    },
    Announce = {
        tech1 = "Tech 1 is now available!",
        tech2 = "Tech 2 is now available!",
        tech3 = "Tech 3 is now available!",
        exptech = "Experimentals are now available!",
    },
    Vote = {
        Dialog = {
            Title = "Time To Tech vote",
            Subtitle = "Time between progressing tech levels?",
            Counter = "%s seconds remaining",
            VoteCounter = "%s votes in",
        },
        VoteFinished = "Time To Tech vote finished",
        VoteResult = {
            min15 = 'New tech available at a 15 minute interval.',
            min20 = 'New tech available at a 20 minute interval.',
            min30 = 'New tech available at a 30 minute interval.',
            random = 'New tech available at a random interval.',
        },
    },
}
